1. Checkout Request
ZamuPay API Documentation
  • Introduction
  • Definitions
    • Data Types
  • Authorization
    • Overview
    • Token Request
      POST
    • Find Transaction Routes
      GET
    • Health Check
      GET
  • Checkout Request
    • Overview
    • Checkout Order Request
      POST
    • Query Checkout Request
      GET
    • Checkout Callback Request
      POST
  • Payment Request
    • Payment Order Request
      POST
    • Reject Order By OriginatorConversationId
      POST
    • Find Payment Order By OriginatorConversationId
      GET
  • Collection Request
    • Find Express Deposit By OriginatorConversationId
      GET
    • Express Deposit Request
      POST
  • Bill Payments
    • Bill Number
      POST
    • Find Bill Number By Service Id and Account Number
      GET
    • Bill Request
      POST
    • Find Bill Request By Originator Converstion Id
      GET
    • Find Bill Services
      GET
  • KYC
    • Account Number Validation Request
      POST
    • KYC Validation
      POST
    • KYC Validation
      GET
    • Find Account Validation Status by SystemTraceAuditNumber
      GET
  • Payment Links
    • Find Payment Links By Id
    • Create Payment Link
    • Update Payment Link
  • Customer Accounts
    • Balance Check
    • Find Charges By TransactionTypeId
  • Airtime Purchase
    • Airtime Purchase
    • Find Airtime Purchases By OriginatorConversationId
  1. Checkout Request

Checkout Order Request

https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
https://auth.zamupay.com
POST
/v1/checkout-order/new-order
Note: A valid token is required for authentication as it expires after every hour. Refer to Token Request to generate a new token.
This API creates a new checkout order used to initiate a payment flow. The request contains one or more checkout line items and supports redirect URLs and callbacks for payment status updates.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://auth.zamupay.com/v1/checkout-order/new-order' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "originatorConversationId": "c1a9f0d4-6e2b-4a8f-b9d3-5f7c2e1a4b66",
    "checkoutRouteId": "DED81224-70B6-ED11-AD49-0EE00E897F52",
    "checkoutRouteChannelType": 134,
    "checkoutNotes": "Customer checkout for apparel purchase",
    "checkoutCcy": 404,
    "checkoutDueDate": "2026-12-31T23:59:59Z",
    "checkoutReturnUrl": "https://checkout.merchant.com/payment/response",
    "checkoutCancelUrl": "https://checkout.merchant.com/payment/cancel",
    "checkoutCallbackUrl": "https://checkout.merchant.com/api/payment/result",
    "checkoutReference": "ORD-20260126-7845",
    "checkoutAccountNo": "0072",
    "checkoutOrderLines": [
        {
            "sku": "SHRT-BLK-XL-9981",
            "name": "Black Shirt XL",
            "price": 2500.0
        },
        {
            "sku": "SHRT-BLU-L-4421",
            "name": "Blue Shirt Large",
            "price": 2200.0
        },
        {
            "sku": "SHRT-GRN-M-7712",
            "name": "Green Shirt Medium",
            "price": 2300.0
        }
    ]
}'
Response Response Example
{
    "message": {
        "appDomainName": "TEST",
        "originatorConversationId": "00a9f0d4-6e2b-4a8f-b9d3-5f7c2e1a4b66",
        "timestamp": "2026-01-29T15:56:31.0370808Z",
        "checkoutSession": {
            "status": "000",
            "message": "Checkout Created",
            "checkoutId": "e8265e12-2bfd-f011-b81a-f47b09e5c7ab",
            "checkoutUrl": "https://test-checkout.zamupay.com/cart/e8265e12-2bfd-f011-b81a-f47b09e5c7ab",
            "checkoutExpiresAt": "2026-12-31T23:59:59Z"
        }
    }
}
Modified at 2026-02-02 07:36:04
Previous
Overview
Next
Query Checkout Request
Built with